# Catalog **Note** - The APIs in this section are legacy APIs. Zuora recommends using the newer, faster APIs for managing products and catalogs more efficiently instead. For more information, see our latest Commerce API. The Zuora Billing product catalog is where you define your products and pricing. The product catalog's ability to handle sophisticated pricing models gives you the power to easily adapt your pricing to customer and market needs, to grow your business and drive more revenue. ## List all products - [GET /v1/catalog/products](https://developer.zuora.com/v1-api-reference/api/catalog/get_catalog.md): Retrieves the entire product catalog, including all products, features, and their corresponding product rate plans, charges. Products are returned in reverse chronological order on the UpdatedDate field. For each product, this operation returns a maximum of 300 product rate plans in the response. Across the returned product rate plans, up to 300 product rate plan charges can be returned for each product. ## Retrieve a product - [GET /v1/catalog/products/{product-key}](https://developer.zuora.com/v1-api-reference/api/catalog/get_product.md): Retrieves detailed information about a specific product, including information about its product rate plans and charges. This operation returns a maximum of 300 product rate plans and 300 product rate plan charges across all product rate plans in the response.